from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.CMFCore.utils import getToolByName
from Products.FacebookLinkShare.config import PROJECTNAME, GLOBALS

from StringIO import StringIO

test_string = 'python: \"http://www.facebook.com/sharer.php?u=\"+object_url+\"&t=\"+object.Title()'

def install(self):
    """ Main install function """
    out = StringIO()

    ## Add Portal action
    install_portalActions(self)

    install_subskin(self, out, GLOBALS)

    print >>out, "Successfully installed %s." % PROJECTNAME
    return out.getvalue()

    
    
def install_portalActions(self):
    portal_actions = getToolByName(self, 'portal_actions')

    i=0
    delactions=[]
    for a in portal_actions._actions:
        i = i + 1
#        if a.category.startswith("FacebookLinkShare_"):
#            delactions.append(i)
        if a.category == 'document_actions' and a.id in ['facebook']:
            delactions.append(i)
        portal_actions.deleteActions(delactions)

    portal_actions.addAction('facebook_link_share', \
                             'Facebook link share', \
                             test_string, \
                             '', \
                             'View', \
                             'document_actions', \
                             '1')

    actionicons_tool=getToolByName(self,'portal_actionicons')

    if actionicons_tool.queryActionIcon(category="plone", action_id="facebook_link_share") == None:
        actionicons_tool.addActionIcon(
            category="plone",
            action_id = "facebook_link_share",
            icon_expr = "facebook_icon.gif",
            title = "Facebook link share",
            priority = 0)


